Bug 597104 - SELinux is preventing /usr/libexec/accounts-daemon "setuid" access .
SELinux is preventing /usr/libexec/accounts-daemon "setuid" access .
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:f6a4eb4a682...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-28 02:33 EDT by chenhuan.gt
Modified: 2010-06-08 15:28 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-23.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-08 15:28:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chenhuan.gt 2010-05-28 02:33:32 EDT
Summary:

SELinux is preventing /usr/libexec/accounts-daemon "setuid" access .

Detailed Description:

[accounts-daemon has a permissive type (accountsd_t). This access was not
denied.]

SELinux denied access requested by accounts-daemon. It is not expected that this
access is required by accounts-daemon and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:accountsd_t:s0-s0:c0.c1023
Target Context                system_u:system_r:accountsd_t:s0-s0:c0.c1023
Target Objects                None [ capability ]
Source                        accounts-daemon
Source Path                   /usr/libexec/accounts-daemon
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           accountsservice-0.6-2.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-15.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.33.4-95.fc13.i686
                              #1 SMP Thu May 13 05:55:24 UTC 2010 i686 i686
Alert Count                   2
First Seen                    Fri 28 May 2010 09:35:45 AM EDT
Last Seen                     Fri 28 May 2010 02:25:20 PM EDT
Local ID                      410c8d02-cd08-4fca-9729-fba7e8fd6853
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1275071120.763:52): avc:  denied  { setuid } for  pid=2502 comm="accounts-daemon" capability=7  scontext=system_u:system_r:accountsd_t:s0-s0:c0.c1023 tcontext=system_u:system_r:accountsd_t:s0-s0:c0.c1023 tclass=capability

node=(removed) type=SYSCALL msg=audit(1275071120.763:52): arch=40000003 syscall=213 success=yes exit=0 a0=1f4 a1=462a00 a2=462980 a3=d5 items=0 ppid=1 pid=2502 auid=4294967295 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=4294967295 comm="accounts-daemon" exe="/usr/libexec/accounts-daemon" subj=system_u:system_r:accountsd_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,accounts-daemon,accountsd_t,accountsd_t,capability,setuid
audit2allow suggests:

#============= accountsd_t ==============
allow accountsd_t self:capability setuid;
Comment 1 Miroslav Grepl 2010-06-01 07:52:28 EDT
Fixed in selinux-policy-3.7.19-23.fc13
Comment 2 Fedora Update System 2010-06-02 05:04:12 EDT
selinux-policy-3.7.19-23.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-23.fc13
Comment 3 Fedora Update System 2010-06-02 14:12:29 EDT
selinux-policy-3.7.19-23.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-23.fc13
Comment 4 Fedora Update System 2010-06-08 15:26:46 EDT
selinux-policy-3.7.19-23.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.